# Inheritance Tree

> Layer
> ├── Learning Layer
> │   ├── Linear
> │   ├── Convolution
> │   ├── TransposedConv
> │   ├── BatchNorm1D
> │   ├── BatchNorm2D
> │   └── GraphConvolution
> ├── Flatten
> ├── Dropout
> ├── Unsqueeze
> ├── Pooling
> ├── L1Norm
> ├── L2Norm
> └── Activation
>     ├── Relu
>     ├── Elu
>     ├── LeakyRelu
>     ├── Tanh
>     ├── Sigmoid
>     ├── SoftMax
>     ├── SoftPlus
>     └── Identity
>
> LossFunction
>     ├── MAELoss
>     ├── MSELoss
>     ├── NLLLoss
>     ├── CrossEntropyLoss
>     ├── FocalLoss
>     └── HuberLoss
>
> Weights
>
> Module
> ├── Sequential
> └── Parallel
>
> DataSet
> DataLoader
>
> Optimizer
> ├── SGD
> ├── SGDMomentum
> ├── NesterovMomentum
> ├── AdaGrad
> ├── AdaDelta
> ├── RMSprop
> └── Adam
>
> Scheduler
> ├── ExponentialLR
> ├── SteppedLR
> └── CyclicalLR